/*
AUTORE: Manuel Vichi 3^AIN
Scrive in un file binario degli interi da un'array
*/
#include <iostream>
using namespace std;
int main(void) {
	size_t written = 0;
	FILE* file = fopen("giovanni.bin","wb");
	if (file != NULL) {
		int a[] = {1, 2, 3, 4, 5, 6, 7, 8, 9};
    	int n = sizeof(a) / sizeof(a[0]);
    	written = fwrite(&a, sizeof(int), n, file);
    	fclose(file);
	}
    if (written > 0) {
    	return 0;
	}
	return -1;
}
